Package com.fasterxml.jackson.core

# Class StreamWriteConstraints.Builder

java.lang.Object
com.fasterxml.jackson.core.StreamWriteConstraints.Builder

Enclosing class:
  StreamWriteConstraints

public static final class StreamWriteConstraints.Builder extends Object

## Method Summary

Modifier and Type
Method
Description
`StreamWriteConstraints`
`build()`
`StreamWriteConstraints.Builder`
`maxNestingDepth(int maxNestingDepth)`
Sets the maximum nesting depth.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### maxNestingDepth

public StreamWriteConstraints.Builder maxNestingDepth(int maxNestingDepth)
Sets the maximum nesting depth. The depth is a count of objects and arrays that have not been closed, `{` and `[` respectively.

Parameters:
  `maxNestingDepth` - the maximum depth
Returns:
  this builder
Throws:
  `IllegalArgumentException` - if the maxNestingDepth is set to a negative value

### build

public StreamWriteConstraints build()